org.mozilla.javascript

## Interface Callable

All Known Subinterfaces:
  Function, RefCallable

All Known Implementing Classes:
  BaseFunction, BoundFunction, Delegator, FunctionObject, IdFunctionObject, NativeContinuation, NativeFunction, NativeJavaClass, NativeJavaConstructor, NativeJavaMethod, NativeJavaTopPackage, NativeRegExp, Require, Synchronizer

    public interface Callable

Generic notion of callable object that can execute some script-related code upon request with specified values for script scope and this objects.

### Method Summary

Methods
`java.lang.Object` `call(Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args)` Perform the call.

### Method Detail

#### call

    java.lang.Object call(Context cx,
                        Scriptable scope,
                        Scriptable thisObj,
                        java.lang.Object[] args)

Perform the call.

Parameters:
  `cx` - the current Context for this thread
  `scope` - the scope to use to resolve properties.
  `thisObj` - the JavaScript `this` object
  `args` - the array of arguments
Returns:
  the result of the call